#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x953f2c1f, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x403995a0, "");
SYMBOL_CRC(ib_cm_listen, 0x5b383886, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x18896c6a, "");
SYMBOL_CRC(ib_send_cm_req, 0x9a1ac7ac, "");
SYMBOL_CRC(ib_send_cm_rep, 0x8ab8477e, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x5bf0a4b0, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x3632b40d, "");
SYMBOL_CRC(ib_send_cm_drep, 0xe0fb7f76, "");
SYMBOL_CRC(ib_send_cm_rej, 0x8720eebb, "");
SYMBOL_CRC(ib_send_cm_mra, 0x194d474f, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x4308a3d6, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x9ad8d256, "");
SYMBOL_CRC(ib_cm_notify, 0x0ea06b39, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xa3daec96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd4d48946, "trace_event_buffer_commit" },
	{ 0xd0db6711, "rdma_create_ah" },
	{ 0xb9d9f8e3, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xccd74556, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xab7c4d49, "ib_register_client" },
	{ 0xe16c8e8, "ib_unregister_mad_agent" },
	{ 0x5cb8fca3, "ib_post_send_mad" },
	{ 0x82e359a, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc603a8c8, "perf_trace_run_bpf_submit" },
	{ 0x90957c57, "rdma_destroy_ah_attr" },
	{ 0x7ec4789b, "ib_set_client_data" },
	{ 0x9a430dec, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcd12f351, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x642fda2b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe89a1a43, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xac35362, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x4b97aceb, "rdma_destroy_ah_user" },
	{ 0xd9c1f1d9, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xf83fff5a, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x42ad8780, "bpf_trace_run3" },
	{ 0xa15303fc, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1dc377b, "trace_event_buffer_reserve" },
	{ 0x84032a68, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9f65577d, "ib_free_recv_mad" },
	{ 0xc723d158, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa5364b8b, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x81503f00, "ib_modify_mad" },
	{ 0x364f51b, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd3aeb42, "kmalloc_caches" },
	{ 0x665d0a98, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x63683ca8, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x69317675, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22bce74b, "__trace_trigger_soft_disabled" },
	{ 0xb8db993, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa2e636df, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3320e9, "rdma_query_gid" },
	{ 0x57e49748, "ib_port_register_client_groups" },
	{ 0xdc046d3c, "pcpu_hot" },
	{ 0x620cfcf8, "ib_modify_port" },
	{ 0xdedd1abd, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ee4cb62, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

