#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_set_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_get_peer, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_register_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_unregister_peer_memory_client, "", "");
KSYMTAB_FUNC(ib_umem_activate_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_stop_invalidation_notifier, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x6397edff, "");
SYMBOL_CRC(flow_resources_alloc, 0xa8f999c7, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x36f70d52, "");
SYMBOL_CRC(flow_resources_add, 0x26c2adba, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x9f002891, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x6314761e, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xcd1af205, "");
SYMBOL_CRC(uverbs_idr_class, 0x6afab820, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xbb1efd6a, "");
SYMBOL_CRC(uverbs_fd_class, 0xda63ca10, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xcaea18da, "");
SYMBOL_CRC(_uverbs_alloc, 0x646644eb, "");
SYMBOL_CRC(uverbs_get_flags64, 0x3c66f2be, "");
SYMBOL_CRC(uverbs_set_flags64, 0x5e14afdc, "");
SYMBOL_CRC(uverbs_get_flags32, 0xc530356d, "");
SYMBOL_CRC(uverbs_copy_to, 0x207da677, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x16b7bf16, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x622a6e7d, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x73186518, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xa83772e5, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x735f910b, "");
SYMBOL_CRC(ib_umem_get, 0xbc73a907, "");
SYMBOL_CRC(ib_umem_get_peer, 0x1dd9d78d, "");
SYMBOL_CRC(ib_umem_release, 0x591be683, "");
SYMBOL_CRC(ib_umem_copy_from, 0x491cd0a5, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x76cacf80, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x38575102, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xc710e4da, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x276b64dc, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xf5ea57e5, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x704ad853, "");
SYMBOL_CRC(ib_register_peer_memory_client, 0x613ae101, "");
SYMBOL_CRC(ib_unregister_peer_memory_client, 0xbde5c050, "");
SYMBOL_CRC(ib_umem_activate_invalidation_notifier, 0x2b37455a, "");
SYMBOL_CRC(ib_umem_stop_invalidation_notifier, 0x348ea67c, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x6632b441, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xb4961a78, "");
SYMBOL_CRC(ib_umem_odp_get, 0x2b131336, "");
SYMBOL_CRC(ib_umem_odp_release, 0x53e0efe9, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xe2c77594, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xd6a794cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae34e8b0, "dma_buf_get" },
	{ 0x136e3163, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x1c3a8720, "ww_mutex_lock" },
	{ 0xb03515ee, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x72e49246, "ib_qp_usecnt_inc" },
	{ 0xe8019ed5, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8090d7d6, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf90f01e7, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7e2bfd3e, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f1859d3, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xf482616b, "rdma_create_user_ah" },
	{ 0x4b97aceb, "rdma_destroy_ah_user" },
	{ 0x538a7b32, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9016c689, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x6a5f935c, "__mmdrop" },
	{ 0x60a1ad83, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ef8ade6, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x8cbdc81e, "__mmap_lock_do_trace_start_locking" },
	{ 0xb2ebfd75, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x90a02791, "igrab" },
	{ 0xeb37d4e2, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc01e62e7, "mmput" },
	{ 0xcee15209, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb8de378e, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x557c6427, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb14f1bf3, "__mmap_lock_do_trace_released" },
	{ 0x141409bb, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x755abc1, "__srcu_read_unlock" },
	{ 0x83763cd4, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf684e8d9, "ib_dealloc_xrcd_user" },
	{ 0x5bb520de, "dma_buf_detach" },
	{ 0x825d53ed, "stream_open" },
	{ 0x583b0ce3, "mmu_interval_notifier_insert" },
	{ 0xe550877, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x5f8325f5, "ib_open_qp" },
	{ 0x2cd1922d, "ib_dealloc_pd_user" },
	{ 0xa9885676, "rdma_get_gid_attr" },
	{ 0xa2f2b7b3, "dma_unmap_sg_attrs" },
	{ 0x159ba86f, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa5364b8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x207f0c8a, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x49ff1aeb, "rdma_query_gid_table" },
	{ 0x1b74d073, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa560480d, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7bd8263, "ib_attach_mcast" },
	{ 0x6d1a88d9, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x54902547, "ib_destroy_wq_user" },
	{ 0xdc810ed0, "put_pid" },
	{ 0xb510b409, "class_register" },
	{ 0xbe6a96be, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd3aeb42, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x51c9f978, "rdma_user_mmap_entry_put" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x958ea4a3, "pin_user_pages_fast" },
	{ 0xc9d50b1e, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x67974c60, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe3601f0b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x665d0a98, "ib_unregister_client" },
	{ 0xbc98d5be, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4bc97218, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf897027c, "dev_set_name" },
	{ 0xa46f2c2f, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3ba97089, "mmu_interval_read_begin" },
	{ 0xd01356ef, "ib_create_qp_user" },
	{ 0x41ffc451, "dma_resv_wait_timeout" },
	{ 0x2ec71c05, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x514262ef, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf2f729b2, "kill_fasync" },
	{ 0x222ccd47, "dma_unmap_page_attrs" },
	{ 0x67bb5e88, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4af6a23f, "fget" },
	{ 0x28a46601, "__put_task_struct" },
	{ 0x10db8d82, "ib_query_srq" },
	{ 0xae0ed576, "ww_mutex_unlock" },
	{ 0x8780a8cc, "kobject_init" },
	{ 0x6cb35385, "device_initialize" },
	{ 0xce02862b, "__dynamic_ibdev_dbg" },
	{ 0xa717ab64, "ib_rdmacg_try_charge" },
	{ 0xd571b3cc, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x93e8373e, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2f39e81, "unpin_user_page_range_dirty_lock" },
	{ 0x48371203, "iput" },
	{ 0xdc046d3c, "pcpu_hot" },
	{ 0x7a44043d, "dma_buf_unpin" },
	{ 0xd4e0ccd2, "zap_vma_ptes" },
	{ 0xd06b582f, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6377bb4d, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5a61a34, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x662a50db, "rdma_dev_access_netns" },
	{ 0xcc2bed7d, "get_device" },
	{ 0x1fea2bcc, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd865e447, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb7668104, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa259785e, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xe8dfbd80, "ib_destroy_srq_user" },
	{ 0xbdda4d0, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x4ede21e8, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0f032, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2f51291f, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbdc72ec2, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf6c40e39, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xdf0030d2, "ib_modify_qp_with_udata" },
	{ 0x36d7491a, "ib_register_event_handler" },
	{ 0x8e4922af, "ib_detach_mcast" },
	{ 0xd045a33e, "dma_buf_map_attachment" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47b84cf1, "__free_pages" },
	{ 0xf7b1c395, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5192c096, "module_put" },
	{ 0xab7c4d49, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdfb6809e, "compat_ptr_ioctl" },
	{ 0x6614286a, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x4f094654, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fca0669, "init_srcu_struct" },
	{ 0x4ade35d8, "fput" },
	{ 0x7ec4789b, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5191e940, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x8986e52, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xfcadfcea, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcd12f351, "rdma_put_gid_attr" },
	{ 0x954cef6f, "init_on_alloc" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ee4cb62, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx_compat");

