#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_detach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_nvmf_ns, "_gpl", "");

SYMBOL_CRC(mlx5_core_create_nvmf_backend_ctrl, 0x4de541ee, "_gpl");
SYMBOL_CRC(mlx5_core_destroy_nvmf_backend_ctrl, 0x042d2a40, "_gpl");
SYMBOL_CRC(mlx5_core_attach_nvmf_ns, 0x94074d64, "_gpl");
SYMBOL_CRC(mlx5_core_detach_nvmf_ns, 0x2a357edc, "_gpl");
SYMBOL_CRC(mlx5_core_query_nvmf_ns, 0xefa66e7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x348ea67c, "ib_umem_stop_invalidation_notifier" },
	{ 0xae38d901, "mlx5_core_query_vport_counter" },
	{ 0x6397edff, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xf70267e0, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3a76330e, "mlx5_query_port_max_mtu" },
	{ 0x7e2bfd3e, "ib_destroy_qp_user" },
	{ 0x16b7bf16, "_uverbs_get_const_signed" },
	{ 0x5dd89614, "mlx5_query_hca_vport_gid" },
	{ 0xf2da7258, "mlx5_frag_buf_free" },
	{ 0x9b299918, "mlx5_nic_vport_disable_roce" },
	{ 0xda63ca10, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x960a051, "dma_sync_single_for_cpu" },
	{ 0xf53817e6, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xac35362, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0x39149243, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6d2c022d, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1bacf1b5, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x8c08610d, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xede009ce, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xca5c7565, "mlx5_core_modify_cq" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x2b37455a, "ib_umem_activate_invalidation_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xb2df9260, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0x153b3b4, "ib_dealloc_device" },
	{ 0xd5e5744c, "mlx5_blocking_notifier_unregister" },
	{ 0xd01b63a4, "mlx5_fc_query" },
	{ 0x9016c689, "ib_destroy_cq_user" },
	{ 0x65fba331, "rdma_user_mmap_io" },
	{ 0xd8742ca2, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x84267eda, "skb_trim" },
	{ 0x6a5f935c, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x2ac38d56, "ib_modify_qp" },
	{ 0xedeaa1db, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xc989b518, "dma_set_coherent_mask" },
	{ 0x9cfc8f41, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xb8f9bc40, "pv_ops" },
	{ 0xf5ea57e5, "ib_umem_dmabuf_get_pinned" },
	{ 0x14518505, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x380b0b30, "mlx5_core_set_dc_cnak_trace" },
	{ 0xadb50d0b, "ib_device_get_netdev" },
	{ 0x38575102, "ib_umem_dmabuf_unmap_pages" },
	{ 0x1dd9d78d, "ib_umem_get_peer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1d8fd8cc, "mlx5_eswitch_get_proto_dev" },
	{ 0x27c4eb87, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfa8a1acd, "dma_free_attrs" },
	{ 0x73186518, "uverbs_copy_to_struct_or_zero" },
	{ 0x36f70d52, "ib_uverbs_flow_resources_free" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2c77594, "ib_umem_odp_map_dma_and_lock" },
	{ 0xbf59bf01, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf5cabbc, "mlx5_eq_notifier_unregister" },
	{ 0x5cebc174, "mlx5_comp_eqn_get" },
	{ 0xdc5f4002, "mlx5_query_port_vl_hw_cap" },
	{ 0xd5bc7928, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xbd44809d, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xb8de378e, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9ea4d80, "mlx5_frag_buf_alloc_node" },
	{ 0x9363bf41, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x906951b9, "roce_del_all_netdev_gids" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbabdfdb5, "netdev_master_upper_dev_get" },
	{ 0x646644eb, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcac0cc0f, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8544e398, "mlx5_lag_is_master" },
	{ 0x4f9a2679, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xfeb58b7b, "rdma_roce_rescan_port" },
	{ 0xa4ba6a9c, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc31b5a1c, "ib_query_pkey" },
	{ 0xcd1af205, "uverbs_uobject_put" },
	{ 0x704ad853, "ib_umem_dmabuf_revoke" },
	{ 0xe02ed350, "mlx5_core_roce_gid_set" },
	{ 0x7acca6ce, "kobject_uevent" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x6a48dcbe, "mlx5_query_port_oper_mtu" },
	{ 0xede95295, "mlx5_nic_vport_enable_roce" },
	{ 0x3f6948fb, "ib_port_immutable_read" },
	{ 0x4e60cf2, "pci_disable_device" },
	{ 0x567f11ee, "ib_create_qp_kernel" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0x207da677, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x205dac1c, "mlx5_blocking_notifier_register" },
	{ 0x26c2adba, "flow_resources_add" },
	{ 0x73858c5f, "mlx5_core_modify_rq" },
	{ 0x38c19124, "mlx5_core_query_mkey" },
	{ 0x8daaf8ae, "dma_set_mask" },
	{ 0xc68cc6b4, "__auxiliary_driver_register" },
	{ 0x4eec986c, "mlx5_db_alloc_node" },
	{ 0xf7cfecbf, "rdma_nl_stat_hwcounter_entry" },
	{ 0xcaea18da, "uverbs_destroy_def_handler" },
	{ 0xef493a72, "mlx5_qp_debugfs_init" },
	{ 0x2cd1922d, "ib_dealloc_pd_user" },
	{ 0x7eecf2fb, "pci_vpd_alloc" },
	{ 0x1efa4f9f, "mlx5_core_modify_tis" },
	{ 0x38594aa3, "mlx5_core_mp_event_replay" },
	{ 0x2dd746cb, "mlx5_comp_vectors_max" },
	{ 0x8873b9c2, "mlx5_create_cq" },
	{ 0x159ba86f, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa5364b8b, "kmalloc_trace" },
	{ 0x44f6aadb, "mlx5_eswitch_get_total_vports" },
	{ 0x8048cea9, "mlx5_core_destroy_cq" },
	{ 0x8bfdcc2f, "mlx5_core_reserved_gids_count" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x5af38868, "mlx5_debugfs_root" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x384e4548, "mlx5_core_modify_cq_moderation" },
	{ 0x491cd0a5, "ib_umem_copy_from" },
	{ 0xdff7e575, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc8c30e51, "mlx5_qp_debugfs_cleanup" },
	{ 0xa560480d, "rdma_restrack_put" },
	{ 0x9b30f549, "mlx5_eq_disable" },
	{ 0x80a67b48, "mlx5_cmd_cleanup_async_ctx" },
	{ 0xbd767ae, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x3d338d44, "mlx5_rl_remove_rate_raw" },
	{ 0xac87e3c1, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xafb09a51, "mlx5_alloc_bfreg" },
	{ 0xf9f7f72, "mlx5_eq_destroy_generic" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xedc24277, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b26a224, "mlx5_lag_is_active" },
	{ 0x3ba1467, "mlx5_free_bfreg" },
	{ 0xd3aeb42, "kmalloc_caches" },
	{ 0x4c25adf2, "mlx5_cmd_destroy_vport_lag" },
	{ 0x31e4d004, "ib_set_device_ops" },
	{ 0x51c9f978, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb05fde0, "mlx5_core_access_reg" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1ca3e01e, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6ba4e448, "mlx5_modify_header_alloc" },
	{ 0x973f332f, "mlx5_dm_sw_icm_dealloc" },
	{ 0x591be683, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe06de17d, "mlx5_db_free" },
	{ 0x37245912, "mlx5_core_destroy_mkey" },
	{ 0x5252f463, "mlx5_eswitch_mode" },
	{ 0xb3691402, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x9e9a8991, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x18fefd2a, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc26172aa, "pci_enable_device" },
	{ 0x15b27315, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x894dba3f, "mlx5_lag_query_cong_counters" },
	{ 0xc530356d, "uverbs_get_flags32" },
	{ 0x542b1e1a, "mlx5_rsc_dump_cmd_create" },
	{ 0x77bc13a0, "strim" },
	{ 0x6afab820, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xab6038d9, "pci_enable_atomic_ops_to_root" },
	{ 0xc405ebeb, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb5669b73, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x44151ca, "mlx5_core_alloc_pd" },
	{ 0xffd2ea20, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xaf861d20, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cc72dd2, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x4a514a3, "register_netdevice_notifier_dev_net" },
	{ 0x222ccd47, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1199d7df, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xb99a903d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x8b28f53d, "__pci_register_driver" },
	{ 0x865caade, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0x276b64dc, "ib_umem_dmabuf_get_pinned_with_dma_device" },
	{ 0xae0ed576, "ww_mutex_unlock" },
	{ 0xede942d6, "dma_sync_single_for_device" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0xbb1efd6a, "uverbs_uobject_fd_release" },
	{ 0xc5d83814, "debugfs_create_atomic_t" },
	{ 0x176a561e, "mlx5_core_create_psv" },
	{ 0x735f910b, "ib_umem_find_best_pgsz" },
	{ 0xc32b7528, "mlx5_core_modify_hca_vport_context" },
	{ 0x61798587, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1f5a5880, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0x5a7524e8, "mlx5_core_create_mkey" },
	{ 0xb3122dea, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca90201e, "mlx5_debug_qp_add" },
	{ 0x6b8015d5, "ib_sg_to_pages" },
	{ 0x4d1e4821, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3320e9, "rdma_query_gid" },
	{ 0xed76e938, "kobject_get_path" },
	{ 0x133a889b, "mlx5_fc_create" },
	{ 0xc19e11d8, "mlx5_cmd_out_err" },
	{ 0x4907bcef, "mlx5_core_create_rqt" },
	{ 0x6454d4db, "mlx5_core_query_vendor_id" },
	{ 0x394dda63, "mlx5_query_hca_vport_node_guid" },
	{ 0xa4266532, "mlx5_modify_header_dealloc" },
	{ 0xdc046d3c, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb4961a78, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd06b582f, "ib_dereg_mr_user" },
	{ 0xc2131466, "mlx5_lag_is_sriov" },
	{ 0x50a88afb, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3bc0ee1, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xac5bf744, "rdma_restrack_get" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa83772e5, "uverbs_finalize_uobj_create" },
	{ 0xcc2bed7d, "get_device" },
	{ 0x1b0d2bba, "mlx5_eswitch_get_encap_mode" },
	{ 0x2059691e, "mlx5_rsc_dump_next" },
	{ 0x1fea2bcc, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x38e4b6b4, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xefc4f5b2, "__dynamic_dev_dbg" },
	{ 0xd0119deb, "mlx5_debugfs_get_dev_root" },
	{ 0xa8f999c7, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f5e71c, "mlx5_core_query_rq" },
	{ 0xd14f9d05, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xb7bfba52, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6632b441, "ib_umem_odp_alloc_implicit" },
	{ 0x335c5beb, "dev_driver_string" },
	{ 0xe8dfbd80, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xea952e84, "ib_unregister_device" },
	{ 0xccd74556, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0f032, "dma_map_page_attrs" },
	{ 0x4592e25f, "auxiliary_driver_unregister" },
	{ 0x4fd51f7a, "mlx5_cmd_exec" },
	{ 0x335944da, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1831a424, "mlx5_core_dealloc_pd" },
	{ 0x1953c958, "mempool_create" },
	{ 0x38b2056, "mlx5_rdma_rn_get_params" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1000e51, "schedule" },
	{ 0x5a7e6dfd, "mlx5_wc_support_get" },
	{ 0x423d797d, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf6c40e39, "put_device" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd40f506e, "mlx5_lag_mode_is_hash" },
	{ 0xe4d6a499, "mlx5_debug_qp_remove" },
	{ 0x53fa4e64, "pcie_relaxed_ordering_enabled" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9e99174c, "mlx5_eq_notifier_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47b84cf1, "__free_pages" },
	{ 0xbf767fb, "mlx5_core_create_tis" },
	{ 0x5b720d57, "mlx5_nic_vport_affiliate_multiport" },
	{ 0xddbf428e, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf1889ddf, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6cffe6c9, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x33e867dd, "mlx5_core_create_rq" },
	{ 0xb46974a4, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe8db24ac, "mlx5_packet_reformat_alloc" },
	{ 0x6614286a, "ib_create_srq_user" },
	{ 0xd1033069, "rdma_user_mmap_entry_remove" },
	{ 0x622a6e7d, "_uverbs_get_const_unsigned" },
	{ 0xe9775728, "unregister_netdevice_notifier_dev_net" },
	{ 0x67955f56, "ib_dispatch_event" },
	{ 0x5e79e75f, "vm_insert_page" },
	{ 0x67c1bce2, "mlx5_lag_is_shared_fdb" },
	{ 0x53e0efe9, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x57d2397, "mlx5_query_nic_vport_system_image_guid" },
	{ 0x14d15dc8, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b4ff1a5, "mlx5_notifier_register" },
	{ 0xdd072b3b, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0x36f0950b, "mlx5_dm_sw_icm_alloc" },
	{ 0x5191e940, "_dev_err" },
	{ 0xf07f89e8, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x39e09a12, "mlx5_add_flow_rules" },
	{ 0x8d59c013, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0xfecdf7b1, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0x9ecfd9be, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2b131336, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0x7a2e0c61, "mlx5_query_port_ptys" },
	{ 0x668189ec, "ib_device_set_netdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4a01d4f7, "mlx5_cmd_init_async_ctx" },
	{ 0xf5cd9efd, "mlx5_eq_create_generic" },
	{ 0x66d4f39a, "mlx5_put_uars_page" },
	{ 0x1041b50a, "dma_alloc_attrs" },
	{ 0xa498511d, "mlx5_lag_get_slave_port" },
	{ 0x76cacf80, "ib_umem_dmabuf_map_pages" },
	{ 0xaa752fb1, "mlx5_get_uars_page" },
	{ 0x510d195, "debugfs_remove" },
	{ 0x255781d, "mlx5_query_ib_port_oper" },
	{ 0x136e3163, "ib_query_port" },
	{ 0xe525b9cc, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb779e241, "mlx5_query_nic_vport_node_guid" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x1c3a8720, "ww_mutex_lock" },
	{ 0x220f70ff, "mlx5_set_port_caps" },
	{ 0x1e8fc561, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc058797, "mlx5_del_flow_rules" },
	{ 0xd6a794cb, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb623aa85, "kobject_init_and_add" },
	{ 0xccfa5d5f, "mlx5_core_modify_sq" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xc710e4da, "ib_umem_dmabuf_get" },
	{ 0xdcf15a85, "mlx5_query_hca_vport_system_image_guid" },
	{ 0xecda9283, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9ee4cb62, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,mlx5_core,ib_core,mlx_compat");

