#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_FUNC(ib_query_nvmf_ns, "", "");
KSYMTAB_FUNC(ib_get_dma_mr, "", "");
KSYMTAB_FUNC(ib_create_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(ib_destroy_nvmf_backend_ctrl, "_gpl", "");
KSYMTAB_FUNC(ib_attach_nvmf_ns, "_gpl", "");
KSYMTAB_FUNC(ib_detach_nvmf_ns, "_gpl", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xb971521b, "");
SYMBOL_CRC(ib_wc_status_msg, 0x14518505, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x159ba86f, "");
SYMBOL_CRC(__ib_alloc_pd, 0xaf861d20, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x2cd1922d, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x591494b2, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x43088ff3, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xa15303fc, "");
SYMBOL_CRC(rdma_create_ah, 0xd0db6711, "");
SYMBOL_CRC(rdma_create_user_ah, 0xf482616b, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb9d9f8e3, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x0b9cc162, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x90957c57, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x0364f51b, "");
SYMBOL_CRC(rdma_modify_ah, 0xb8be47a2, "");
SYMBOL_CRC(rdma_query_ah, 0xbe2e5af8, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x4b97aceb, "");
SYMBOL_CRC(ib_create_srq_user, 0x6614286a, "");
SYMBOL_CRC(ib_modify_srq, 0xf11b9141, "");
SYMBOL_CRC(ib_query_srq, 0x10db8d82, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xe8dfbd80, "");
SYMBOL_CRC(ib_open_qp, 0x5f8325f5, "");
SYMBOL_CRC(ib_create_qp_user, 0xd01356ef, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x72e49246, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xcd4b73ac, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x567f11ee, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xb99a903d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xdf0030d2, "");
SYMBOL_CRC(ib_get_eth_speed, 0x5181abe2, "");
SYMBOL_CRC(ib_modify_qp, 0x2ac38d56, "");
SYMBOL_CRC(ib_query_qp, 0x1fea2bcc, "");
SYMBOL_CRC(ib_close_qp, 0x1ac2476e, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x7e2bfd3e, "");
SYMBOL_CRC(__ib_create_cq, 0xf70267e0, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x83763cd4, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x9016c689, "");
SYMBOL_CRC(ib_resize_cq, 0xc830956e, "");
SYMBOL_CRC(ib_reg_user_mr, 0xf74cd1db, "");
SYMBOL_CRC(ib_advise_mr, 0x4b8299fe, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xd06b582f, "");
SYMBOL_CRC(ib_alloc_mr, 0x6e3ef347, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x41d801a6, "");
SYMBOL_CRC(ib_attach_mcast, 0xb7bd8263, "");
SYMBOL_CRC(ib_detach_mcast, 0x8e4922af, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x141409bb, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xf684e8d9, "");
SYMBOL_CRC(ib_create_wq, 0xef538249, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x54902547, "");
SYMBOL_CRC(ib_check_mr_status, 0x8e493eaf, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x8f101529, "");
SYMBOL_CRC(ib_get_vf_config, 0x81936ff6, "");
SYMBOL_CRC(ib_get_vf_stats, 0x0597667d, "");
SYMBOL_CRC(ib_set_vf_guid, 0xb1a8550a, "");
SYMBOL_CRC(ib_get_vf_guid, 0xe2f123cf, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xbb6b6da9, "");
SYMBOL_CRC(ib_map_mr_sg, 0x41a0a228, "");
SYMBOL_CRC(ib_sg_to_pages, 0x6b8015d5, "");
SYMBOL_CRC(ib_drain_sq, 0xc966dc22, "");
SYMBOL_CRC(ib_drain_rq, 0xa080919a, "");
SYMBOL_CRC(ib_drain_qp, 0xfa2501c1, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xd76474d4, "");
SYMBOL_CRC(rdma_init_netdev, 0x1697eb24, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x50a88afb, "");
SYMBOL_CRC(__ib_alloc_cq, 0xe525b9cc, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xc98e213e, "");
SYMBOL_CRC(ib_free_cq, 0xbf59bf01, "");
SYMBOL_CRC(ib_cq_pool_get, 0xb515a6de, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa0291cec, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x5939ddcb, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x1282cd7e, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xb978c409, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xc0aa8170, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xd3363257, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x5fd8f52f, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xd493bdde, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x3280f100, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x57e49748, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xf83fff5a, "");
SYMBOL_CRC(ib_query_nvmf_ns, 0xcd47a8c0, "");
SYMBOL_CRC(ib_get_dma_mr, 0x6d11ec62, "");
SYMBOL_CRC(ib_create_nvmf_backend_ctrl, 0x15622122, "_gpl");
SYMBOL_CRC(ib_destroy_nvmf_backend_ctrl, 0xc472bee7, "_gpl");
SYMBOL_CRC(ib_attach_nvmf_ns, 0x9d99e088, "_gpl");
SYMBOL_CRC(ib_detach_nvmf_ns, 0xc2bc480a, "_gpl");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x662a50db, "");
SYMBOL_CRC(ibdev_printk, 0x648579dd, "");
SYMBOL_CRC(ibdev_emerg, 0x15f4c634, "");
SYMBOL_CRC(ibdev_alert, 0x3dd91767, "");
SYMBOL_CRC(ibdev_crit, 0x42647e75, "");
SYMBOL_CRC(ibdev_err, 0x4253966b, "");
SYMBOL_CRC(ibdev_warn, 0xa46f2c2f, "");
SYMBOL_CRC(ibdev_notice, 0xfd1e63d6, "");
SYMBOL_CRC(ibdev_info, 0xd28e0cd4, "");
SYMBOL_CRC(ib_device_put, 0x72f59caf, "");
SYMBOL_CRC(ib_device_get_by_name, 0x338970a1, "");
SYMBOL_CRC(_ib_alloc_device, 0x38e4b6b4, "");
SYMBOL_CRC(ib_dealloc_device, 0x0153b3b4, "");
SYMBOL_CRC(ib_port_immutable_read, 0x3f6948fb, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xd81bdfdc, "");
SYMBOL_CRC(ib_register_device, 0x423d797d, "");
SYMBOL_CRC(ib_unregister_device, 0xea952e84, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x668be01b, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x143300d5, "");
SYMBOL_CRC(ib_register_client, 0xab7c4d49, "");
SYMBOL_CRC(ib_unregister_client, 0x665d0a98, "");
SYMBOL_CRC(ib_set_client_data, 0x7ec4789b, "");
SYMBOL_CRC(ib_register_event_handler, 0x36d7491a, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xf7b1c395, "");
SYMBOL_CRC(ib_query_port, 0x136e3163, "");
SYMBOL_CRC(ib_device_set_netdev, 0x668189ec, "");
SYMBOL_CRC(ib_device_get_netdev, 0xadb50d0b, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x78a1aa13, "");
SYMBOL_CRC(ib_query_pkey, 0xc31b5a1c, "");
SYMBOL_CRC(ib_modify_device, 0x4114ed60, "");
SYMBOL_CRC(ib_modify_port, 0x620cfcf8, "");
SYMBOL_CRC(ib_find_gid, 0x4502c47e, "");
SYMBOL_CRC(ib_find_pkey, 0xd714259f, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x81bb5382, "");
SYMBOL_CRC(ib_set_device_ops, 0x31e4d004, "");
SYMBOL_CRC(ib_add_sub_device, 0xe14c319c, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0xb9071727, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xeb37d4e2, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xc67f88b8, "");
SYMBOL_CRC(rdma_query_gid, 0x0f3320e9, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x13b6d67c, "");
SYMBOL_CRC(rdma_find_gid, 0x84032a68, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x9a430dec, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x45397dbc, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xccd74556, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x6a68e22d, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x67124c8f, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x8317d1a7, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xa9885676, "");
SYMBOL_CRC(rdma_query_gid_table, 0x49ff1aeb, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xcd12f351, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x52fff3c7, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x0bdda4d0, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xffd2ea20, "");
SYMBOL_CRC(ib_dispatch_event, 0x67955f56, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x138fbdfb, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x42f67cde, "");
SYMBOL_CRC(ibnl_put_attr, 0xdfec6fd0, "");
SYMBOL_CRC(rdma_nl_unicast, 0x8b84687d, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x0fc34c93, "");
SYMBOL_CRC(rdma_nl_multicast, 0x22b9b21d, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x519bfabf, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xac87e3c1, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0xfeb58b7b, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x906951b9, "");
SYMBOL_CRC(ib_mr_pool_get, 0x48843a01, "");
SYMBOL_CRC(ib_mr_pool_put, 0xf6860d86, "");
SYMBOL_CRC(ib_mr_pool_init, 0x2266e07a, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x6564ef4e, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xece75682, "");
SYMBOL_CRC(rdma_translate_ip, 0xa2b13ddb, "");
SYMBOL_CRC(rdma_resolve_ip, 0x4e4c5d81, "");
SYMBOL_CRC(rdma_addr_cancel, 0xe6dd57dc, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x63683ca8, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x9a0669f1, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x6bbd8a8a, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x2c9e7727, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xf28ff70d, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xf2598132, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xc723d158, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x0e16c8e8, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xe0321b04, "");
SYMBOL_CRC(ib_create_send_mad, 0x082e359a, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xaf451405, "");
SYMBOL_CRC(ib_free_send_mad, 0xd9c1f1d9, "");
SYMBOL_CRC(ib_post_send_mad, 0x5cb8fca3, "");
SYMBOL_CRC(ib_free_recv_mad, 0x9f65577d, "");
SYMBOL_CRC(ib_modify_mad, 0x81503f00, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xedc24277, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xdec97fbf, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x5ffd0719, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x7a697cb3, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x09a24184, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xf7cfecbf, "");
SYMBOL_CRC(rdma_link_register, 0x6e8f5f4f, "");
SYMBOL_CRC(rdma_link_unregister, 0x607153f3, "");
SYMBOL_CRC(rdma_restrack_count, 0x59fcc753, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x8f1859d3, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xdf89ea82, "");
SYMBOL_CRC(rdma_restrack_new, 0x207f0c8a, "");
SYMBOL_CRC(rdma_restrack_add, 0xbdc72ec2, "");
SYMBOL_CRC(rdma_restrack_get, 0xac5bf744, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x96bb2df0, "");
SYMBOL_CRC(rdma_restrack_put, 0xa560480d, "");
SYMBOL_CRC(rdma_restrack_del, 0x60a1ad83, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x6d1a88d9, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x65fba331, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x1e8fc561, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xf0fac11f, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x51c9f978, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xd1033069, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x9cfc8f41, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xb6bac4f2, "");
SYMBOL_CRC(ib_create_qp_security, 0xffa24b04, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xa717ab64, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xb2ebfd75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7b3395e9, "nla_put" },
	{ 0x642fda2b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x807817c5, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb623aa85, "kobject_init_and_add" },
	{ 0x8090d7d6, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xee8cd4d4, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x390cd586, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xe89a1a43, "bpf_trace_run1" },
	{ 0x68915b71, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x84993283, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xac35362, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8e46c1b4, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xece784c2, "rb_first" },
	{ 0xe921421, "__neigh_event_send" },
	{ 0x9c43e4f8, "dev_printk_emit" },
	{ 0xd8742ca2, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x84267eda, "skb_trim" },
	{ 0xf6288ff7, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1ca77811, "netdev_walk_all_upper_dev_rcu" },
	{ 0x42ad8780, "bpf_trace_run3" },
	{ 0xe9ed4ab4, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x57de1efe, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bd32712, "backport_rdma_dim" },
	{ 0x68601465, "neigh_destroy" },
	{ 0x36aa87b7, "kobject_del" },
	{ 0x1dc377b, "trace_event_buffer_reserve" },
	{ 0xcee15209, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae86fb1, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9363bf41, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x7397b9ae, "dev_get_by_name" },
	{ 0x82cec94b, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfc00c13e, "dst_release" },
	{ 0x7acca6ce, "kobject_uevent" },
	{ 0xc0e4386, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb8e86f36, "vlan_dev_vlan_id" },
	{ 0xa2f2b7b3, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa5364b8b, "kmalloc_trace" },
	{ 0xb7715f4a, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x32ddd395, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1a38c558, "netlink_has_listeners" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x53220a08, "register_pernet_device" },
	{ 0x3d589cc9, "get_net_ns_by_fd" },
	{ 0xb510b409, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd3aeb42, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x15b0524a, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xff1f6416, "rdmacg_try_charge" },
	{ 0x19c142d7, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe476feae, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2d04374b, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf566a18d, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf897027c, "dev_set_name" },
	{ 0xebba941c, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69317675, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x65b1fb91, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22bce74b, "__trace_trigger_soft_disabled" },
	{ 0x222ccd47, "dma_unmap_page_attrs" },
	{ 0xb8db993, "trace_event_printf" },
	{ 0x935f608b, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6baaf7c0, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x28a46601, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x8780a8cc, "kobject_init" },
	{ 0x6cb35385, "device_initialize" },
	{ 0xce02862b, "__dynamic_ibdev_dbg" },
	{ 0xf9677653, "sysfs_create_groups" },
	{ 0xa2e636df, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d1e4821, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb3f44c15, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xdc046d3c, "pcpu_hot" },
	{ 0x17b01186, "__netlink_kernel_create" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xdedd1abd, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8c644ec9, "ip_route_output_flow" },
	{ 0xcc2bed7d, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xefc4f5b2, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf86a080a, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21d03e60, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x335c5beb, "dev_driver_string" },
	{ 0xd4d48946, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0f032, "dma_map_page_attrs" },
	{ 0xf8a482ab, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf6c40e39, "put_device" },
	{ 0x5fdf7944, "netlink_broadcast" },
	{ 0x19da3d6f, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9b3030e6, "__alloc_skb" },
	{ 0x880123ca, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4f094654, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x88024a8c, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc603a8c8, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5191e940, "_dev_err" },
	{ 0x26ec7044, "init_net" },
	{ 0xa9459655, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x353daeb8, "ipv6_stub" },
	{ 0x5978d6f1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x29efc382, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x64db6fee, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8567a595, "dev_get_by_index" },
	{ 0xfb140eff, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb612c552, "skb_push" },
	{ 0x9ee4cb62, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat");

