#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_pcie_print_link_status, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_num, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_gids, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_pkeys, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_core_set_dc_cnak_trace, "_gpl", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xbd44809d, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x38594aa3, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xf07f89e8, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x57e82ebc, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xfd1b22fa, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xc19e11d8, "");
SYMBOL_CRC(mlx5_cmd_check, 0xb3691402, "");
SYMBOL_CRC(mlx5_cmd_do, 0xb3122dea, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x4fd51f7a, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xa4450602, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x4a01d4f7, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x80a67b48, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x39149243, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x5af38868, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xd0119deb, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xef493a72, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xc8c30e51, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xca90201e, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xe4d6a499, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x6454d4db, "");
SYMBOL_CRC(mlx5_eq_enable, 0xb5669b73, "");
SYMBOL_CRC(mlx5_eq_disable, 0x9b30f549, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xf5cd9efd, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x0f9f7f72, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x335944da, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x1f5a5880, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x5cebc174, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x2dd746cb, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xe4a80ac0, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x9e99174c, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xdf5cabbc, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xaa752fb1, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x66d4f39a, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xafb09a51, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x03ba1467, "");
SYMBOL_CRC(mlx5_pcie_print_link_status, 0x0ad349be, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xb05b363e, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x3752d347, "");
SYMBOL_CRC(mlx5_create_cq, 0x8873b9c2, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xdd072b3b, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x8048cea9, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x225aaf11, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xca5c7565, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x384e4548, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x09ea4d80, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xf2da7258, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x4eec986c, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xe06de17d, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xb3cb2cf1, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x0b05fde0, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x220f70ff, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x7a2e0c61, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x0255781d, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x215710dc, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xf431cc75, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xc03c4ed5, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xef194e04, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x3a76330e, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x6a48dcbe, "_gpl");
SYMBOL_CRC(mlx5_query_module_num, 0xa6fb86cc, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x5015219d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x568c1e91, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xdc5f4002, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x55c085d9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xe26880a1, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x1b1fd303, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xd1afcd4c, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xe785a648, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x85513a4a, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x076a137f, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x8e9716e7, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xf6a8a0c1, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x25bdc0a7, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x5ee855f7, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x57c99a01, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x97e649cb, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xac9a348e, "_gpl");
SYMBOL_CRC(mlx5_core_query_gids, 0x2ea7a63a, "_gpl");
SYMBOL_CRC(mlx5_core_query_pkeys, 0x42c5a885, "_gpl");
SYMBOL_CRC(mlx5_core_query_hca_vport_context, 0xa533e61c, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x5a7524e8, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x37245912, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x38c19124, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x176a561e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xc405ebeb, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x1a21a05c, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x044151ca, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x1831a424, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xa7c06b8f, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x60386157, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x33e867dd, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x73858c5f, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x93904a36, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xb8f5e71c, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xccfa5d5f, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x078a361c, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xecda9283, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x0b48182a, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xdc83d5bd, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x0bf767fb, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x1efa4f9f, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xa4b13e19, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x4907bcef, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x3e95e4ba, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xc6cdfa2d, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x6cffe6c9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x120654d6, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa7520008, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x324da048, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x944bddc1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb3f0ae9c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x63e07e76, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xf115cfe6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_vlans, 0xf8062f6b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x31458746, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x057d2397, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb779e241, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x1199d7df, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x5dd89614, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xd5bc7928, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xa4ba6a9c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xdcf15a85, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x394dda63, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x9e30e1aa, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x0c21a08a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x865caade, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xe22a7119, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xede95295, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x9b299918, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xae38d901, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xc32b7528, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x5b720d57, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x4f9a2679, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xd6eda6cc, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x3077a676, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x5b4fc865, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x60a27d20, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x39e09a12, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x0c058797, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x0bf1d2f2, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x9ecfd9be, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd7202cd1, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x72f84ff2, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x6ba4e448, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xa4266532, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xe8db24ac, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xb7bfba52, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xda2adbe1, "");
SYMBOL_CRC(mlx5_msix_free, 0x434523d5, "");
SYMBOL_CRC(mlx5_fc_create, 0x133a889b, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xcac0cc0f, "");
SYMBOL_CRC(mlx5_fc_query, 0xd01b63a4, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xe6e52b97, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x15b27315, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x3d338d44, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x61798587, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x1bacf1b5, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xf1889ddf, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x4c25adf2, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x18fefd2a, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x6b26a224, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xd40f506e, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x8544e398, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xc2131466, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x67c1bce2, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xa498511d, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x6d2c022d, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x5cc72dd2, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x894dba3f, "");
SYMBOL_CRC(mlx5_notifier_register, 0x7b4ff1a5, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xf53817e6, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x205dac1c, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xd5e5744c, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x8bfdcc2f, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xe02ed350, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x36f0950b, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x973f332f, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xa5bb6168, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xde4d6732, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x0cafd6ab, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x7759d0f1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xc45420fa, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xbfa226a0, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x6d409739, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x16b69163, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbc911977, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xb4b00896, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x3754579b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x256aa1b3, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xe9c9919a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xaeafef5f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa1f09a8c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x1e7ecc15, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x08c7f191, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1422913a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x3d3b49a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xbd15fa27, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xfa3e9497, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x86fefb82, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x949070ad, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x542b1e1a, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x2059691e, "");
SYMBOL_CRC(mlx5_core_set_dc_cnak_trace, 0x380b0b30, "_gpl");
SYMBOL_CRC(mlx5_wc_support_get, 0x5a7e6dfd, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xf3bc0ee1, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x5252f463, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x1b0d2bba, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x44f6aadb, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xedeaa1db, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x1ca3e01e, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xede009ce, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x14d15dc8, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x1d8fd8cc, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xfecdf7b1, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x9e5abe90, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xda0e013f, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xb2df9260, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xb46974a4, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x3bdd29e1, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xbf499dbc, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x16b95b3d, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x038b2056, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xca4cf50d, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xfdd9fc41, "pci_restore_state" },
	{ 0xe89a1a43, "bpf_trace_run1" },
	{ 0x9e67bc23, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x68915b71, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x7df27a63, "proc_mkdir" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x960a051, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xe9b23947, "page_pool_create" },
	{ 0x690ccf27, "skb_checksum" },
	{ 0x277e5321, "page_pool_put_defragged_page" },
	{ 0x79a560e6, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xac35362, "_dev_warn" },
	{ 0x8fcf6018, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe9bc204, "devl_resources_unregister" },
	{ 0x7acc71a0, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xc5386aa, "netif_schedule_queue" },
	{ 0xbbdc8d3e, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x8c08610d, "pci_set_master" },
	{ 0x6d0a8666, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86363739, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf456392e, "flow_rule_match_ipv6_addrs" },
	{ 0x2c4c1f93, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xb4fe0fc4, "devl_params_unregister" },
	{ 0x37f9f7d7, "ptp_clock_unregister" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0x554c9350, "__pskb_pull_tail" },
	{ 0x40f7cbe8, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x2c5e885e, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x480e12a4, "devlink_trap_report" },
	{ 0xe921421, "__neigh_event_send" },
	{ 0x4e886d17, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x9c43e4f8, "dev_printk_emit" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xd8742ca2, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dec9da0, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x124f37c8, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xeee26657, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc989b518, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xb8f9bc40, "pv_ops" },
	{ 0xefb9c589, "sysfs_remove_group" },
	{ 0x6e4e2dd, "flow_rule_match_enc_control" },
	{ 0x42ad8780, "bpf_trace_run3" },
	{ 0x5453aeb2, "seq_read" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x20938250, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x27c4eb87, "debugfs_create_file" },
	{ 0x8ddb39cc, "rps_may_expire_flow" },
	{ 0xb4b9d74a, "mlxdevm_param_driverinit_value_get" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x8a9c18f3, "xsk_set_tx_need_wakeup" },
	{ 0x54873ede, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd728b698, "netdev_reset_tc" },
	{ 0x68601465, "neigh_destroy" },
	{ 0xfa8a1acd, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1dc377b, "trace_event_buffer_reserve" },
	{ 0x2be2d0f6, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xabc232a1, "debugfs_create_x32" },
	{ 0x85df9b6c, "strsep" },
	{ 0xbb1b5a7f, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe7192b7c, "flow_rule_match_enc_ports" },
	{ 0xbeb5305b, "xdp_return_frame_bulk" },
	{ 0x14bf9953, "mlxdevm_port_register" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc3a2ea, "pci_release_regions" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x57fa21f1, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x49d05b6e, "devl_assert_locked" },
	{ 0xb2880d28, "pcie_print_link_status" },
	{ 0xac2d3335, "xp_set_rxq_info" },
	{ 0x212b927d, "flow_rule_match_vlan" },
	{ 0xb8de378e, "alloc_pages" },
	{ 0xcf31fcb4, "devl_port_unregister" },
	{ 0xdd747a32, "xdp_rxq_info_unreg" },
	{ 0xe8c7c423, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbd2e6ef0, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdc445360, "napi_build_skb" },
	{ 0x9363bf41, "netdev_master_upper_dev_get_rcu" },
	{ 0x263ecb0a, "__xdp_rxq_info_reg" },
	{ 0xcce49b73, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7d37ee7, "remove_proc_entry" },
	{ 0xbabdfdb5, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x29311cd4, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x2d2186c9, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xea9f9b1d, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2d3944f, "netif_carrier_off" },
	{ 0xc17cace0, "seq_printf" },
	{ 0xe3c9e29e, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb756d11f, "devlink_priv" },
	{ 0x2da1bd0b, "devlink_port_register_with_ops" },
	{ 0x575bdb9e, "pci_disable_sriov" },
	{ 0xd1fb653c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfc00c13e, "dst_release" },
	{ 0xefb1686e, "netif_carrier_on" },
	{ 0xed0a8f04, "netdev_set_num_tc" },
	{ 0x7acca6ce, "kobject_uevent" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x22f68da9, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x104bf913, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4e60cf2, "pci_disable_device" },
	{ 0xa8815853, "mlxdevm_port_unregister" },
	{ 0xaff12a85, "boot_cpu_data" },
	{ 0x68b50b3, "xp_free" },
	{ 0xb94b092b, "page_pool_update_nid" },
	{ 0xcfc8ad3a, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x8daaf8ae, "dma_set_mask" },
	{ 0xc68cc6b4, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4405947f, "netif_set_tso_max_size" },
	{ 0xb8e86f36, "vlan_dev_vlan_id" },
	{ 0x228730af, "__skb_flow_dissect" },
	{ 0x346717ff, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbab2a63f, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa5364b8b, "kmalloc_trace" },
	{ 0x9976304b, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x89e66c6f, "xp_raw_get_data" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc29bf967, "strspn" },
	{ 0x8ad3720a, "napi_schedule_prep" },
	{ 0xb264c94, "qdisc_reset" },
	{ 0xf03517fc, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x454e621, "xp_alloc_batch" },
	{ 0xd722da90, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xe0efa4d9, "napi_disable" },
	{ 0x439b0c9b, "dev_kfree_skb_any_reason" },
	{ 0x9d268444, "dcb_ieee_delapp" },
	{ 0xe8c74690, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x599cc780, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x37d7e7db, "debugfs_create_u8" },
	{ 0x302163b5, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x79be2678, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xbd767ae, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x615f7a8b, "skb_ext_add" },
	{ 0x6e19fb27, "pcie_bandwidth_available" },
	{ 0x25e1eec1, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x674712e5, "flow_rule_match_control" },
	{ 0xfe331eb1, "flow_rule_match_ip" },
	{ 0xf191881b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9a6b24c7, "backport_net_dim_get_def_tx_moderation" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8cbafaa9, "dcb_ieee_setapp" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb938177, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1564366f, "xsk_tx_release" },
	{ 0x564a636d, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x64dc2a42, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f424a5b, "pci_write_config_dword" },
	{ 0xd3aeb42, "kmalloc_caches" },
	{ 0x266c6e28, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xacf4707f, "device_remove_file" },
	{ 0xe227bb83, "neigh_lookup" },
	{ 0xa5f116f5, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x91c2b5d, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x30c869b, "__tracepoint_xdp_exception" },
	{ 0xf0b596fe, "xsk_tx_completed" },
	{ 0xaf2b9d7f, "alloc_etherdev_mqs" },
	{ 0x2fa7bfc0, "netdev_lower_get_next" },
	{ 0x4b8b35d9, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x493e70fb, "pci_save_state" },
	{ 0x7fe4ceb6, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb37b8f7a, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4a64c3e, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x221d6198, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa42e77a, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x20700cfc, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb54368b1, "bpf_prog_put" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc781c0ad, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xabb18070, "pci_cfg_access_unlock" },
	{ 0xb4364c85, "xp_dma_map" },
	{ 0xe476feae, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb586dde9, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x462e5f90, "skb_copy_bits" },
	{ 0xcbf3c9df, "debugfs_attr_write" },
	{ 0xb2d70fe7, "dma_pool_create" },
	{ 0x9e9a8991, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa459a58, "pci_msix_vec_count" },
	{ 0x60fb42e3, "backport_net_dim_get_rx_moderation" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc26172aa, "pci_enable_device" },
	{ 0xf566a18d, "skb_put" },
	{ 0xcad51ead, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x846636ad, "call_switchdev_notifiers" },
	{ 0xd95b2937, "sysfs_create_file_ns" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x44e0e1b, "__napi_alloc_skb" },
	{ 0xbb81bd45, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc061f1a2, "register_fib_notifier" },
	{ 0xb7975485, "auxiliary_device_init" },
	{ 0xebba941c, "ip6_dst_hoplimit" },
	{ 0x31345b25, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7a75597e, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x139bbfe3, "trace_seq_printf" },
	{ 0x77e3f337, "pci_alloc_irq_vectors" },
	{ 0x72ed2f6c, "netif_napi_add_weight" },
	{ 0xab6038d9, "pci_enable_atomic_ops_to_root" },
	{ 0x5b3d9e72, "seq_release" },
	{ 0x98b466b7, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x69317675, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x83f30f2a, "xsk_clear_tx_need_wakeup" },
	{ 0xb8ad49c6, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb3a36e7a, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x2745011a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x95fa4892, "ndo_dflt_bridge_getlink" },
	{ 0x1b009fc2, "unregister_netdev" },
	{ 0x493ec0df, "sysfs_add_file_to_group" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x19e19f36, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22bce74b, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xe365928, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x4a514a3, "register_netdevice_notifier_dev_net" },
	{ 0x222ccd47, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb8db993, "trace_event_printf" },
	{ 0xf491c65b, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8676a7e4, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8b28f53d, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xede942d6, "dma_sync_single_for_device" },
	{ 0xe82e5558, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x2eb2219e, "pci_num_vf" },
	{ 0xc5d83814, "debugfs_create_atomic_t" },
	{ 0xd173b3df, "flow_rule_match_eth_addrs" },
	{ 0x370c306e, "mlxdevm_param_driverinit_value_set" },
	{ 0x7b43bb67, "skb_add_rx_frag" },
	{ 0xbb47d3d0, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb1d99d33, "ptp_clock_index" },
	{ 0x9ea402d7, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa2e636df, "trace_event_raw_init" },
	{ 0xbcb7caf9, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe0e63715, "xp_can_alloc" },
	{ 0x7dc21f54, "dev_get_iflink" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x77d0bb88, "devlink_alloc_ns" },
	{ 0xe2f71fca, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x77d0be8b, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd79727d6, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xeeab3629, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xdc046d3c, "pcpu_hot" },
	{ 0x1c54ae7c, "seq_lseek" },
	{ 0xe024d9cd, "page_pool_destroy" },
	{ 0xc016b519, "xdp_do_redirect" },
	{ 0x4839bed9, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe6e5067c, "devm_device_add_group" },
	{ 0xf68329cb, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdedd1abd, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x2de22a7f, "netdev_warn" },
	{ 0x2e732aaf, "mlxdevm_params_unregister" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x57b207e7, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x78235665, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda2a1117, "pci_irq_vector" },
	{ 0x10c34c8e, "flow_rule_match_ipv4_addrs" },
	{ 0x8c644ec9, "ip_route_output_flow" },
	{ 0x2d2ff81, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x539c9f46, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xefc4f5b2, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14229210, "__dev_get_by_name" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xd14f9d05, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x9fc69a2e, "netdev_err" },
	{ 0x2c420732, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf5c3463d, "mlxdevm_params_publish" },
	{ 0x3a3f1364, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x335c5beb, "dev_driver_string" },
	{ 0x7c37a13f, "netdev_port_same_parent_id" },
	{ 0xd4d48946, "trace_event_buffer_commit" },
	{ 0x76eb9bac, "dev_addr_mod" },
	{ 0xae1417fb, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xedf91e, "ptp_find_pin" },
	{ 0xcc8a58c, "eth_type_trans" },
	{ 0xef3dff10, "pci_read_config_dword" },
	{ 0x62972249, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x5e5aa1c0, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4592e25f, "auxiliary_driver_unregister" },
	{ 0xa0f032, "dma_map_page_attrs" },
	{ 0x7ab821a9, "trace_seq_putc" },
	{ 0xa9806aad, "napi_complete_done" },
	{ 0x15a894c8, "mlxdevm_port_attr_set" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa534c9a1, "mlxdevm_rate_nodes_destroy" },
	{ 0xb44916f5, "devlink_port_attrs_pci_vf_set" },
	{ 0x1f7a9926, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x32c80d43, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf6c40e39, "put_device" },
	{ 0x9a7c52c5, "sysfs_remove_file_ns" },
	{ 0xea314fbd, "__napi_schedule" },
	{ 0xf7768c5e, "devlink_port_health_reporter_create" },
	{ 0xb1daacb4, "mlxdevm_port_type_eth_set" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x53fa4e64, "pcie_relaxed_ordering_enabled" },
	{ 0xcd9d34db, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xd5b6ee97, "kmalloc_node_trace" },
	{ 0xef252b9, "devlink_port_attrs_pci_pf_set" },
	{ 0x7301b2bc, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe0e89827, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf45d361b, "mlxdevm_rate_group_unregister" },
	{ 0x47b84cf1, "__free_pages" },
	{ 0x9a1e02d0, "kmem_cache_alloc" },
	{ 0xdca21f24, "backport_net_dim_get_tx_moderation" },
	{ 0x9f984513, "strrchr" },
	{ 0xddbf428e, "_dev_info" },
	{ 0x12fe575b, "skb_vlan_pop" },
	{ 0xb84c4cf8, "napi_gro_receive" },
	{ 0x4f390bc, "netif_device_attach" },
	{ 0xd52da156, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xb296be54, "mlxdevm_unregister" },
	{ 0x7ca9c952, "netdev_pick_tx" },
	{ 0x26701e8c, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb62b7baf, "xp_raw_get_dma" },
	{ 0x94d10d7f, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4376d7a, "mlxdevm_params_register" },
	{ 0xdb0392c3, "xdp_rxq_info_is_reg" },
	{ 0xcb360881, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3794a51d, "ptp_classify_raw" },
	{ 0xc2c5802, "work_busy" },
	{ 0x922e8c7c, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x63e17da5, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x50bc9add, "devl_health_reporter_create" },
	{ 0xc755adb8, "flow_block_cb_setup_simple" },
	{ 0x8439a630, "pci_msix_can_alloc_dyn" },
	{ 0xc0dce7ff, "device_create_file" },
	{ 0xa4f81f0a, "flow_rule_match_basic" },
	{ 0xe9775728, "unregister_netdevice_notifier_dev_net" },
	{ 0xbe57295d, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x447a247c, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3d6784b2, "debugfs_lookup" },
	{ 0xbfede811, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x92281dd6, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc13ab62b, "backport_net_dim" },
	{ 0x88024a8c, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xb91bbd5, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbfea1def, "__dev_get_by_index" },
	{ 0xc603a8c8, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd210b325, "devlink_port_unregister" },
	{ 0xd5e6f8a6, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5191e940, "_dev_err" },
	{ 0x26ec7044, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x21c933e9, "softnet_data" },
	{ 0x353daeb8, "ipv6_stub" },
	{ 0x8d59c013, "simple_open" },
	{ 0x5978d6f1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xee61d4c4, "debugfs_create_file_unsafe" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc5beaaa3, "xdp_return_frame" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x43532df9, "simple_attr_release" },
	{ 0xcda4a17b, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x438aee44, "xp_dma_sync_for_cpu_slow" },
	{ 0x289a1dae, "xsk_tx_peek_desc" },
	{ 0x74b2eaaa, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x6527de93, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x5c2154fd, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c0881f3, "irq_get_irq_data" },
	{ 0x71c66d50, "dev_remove_pack" },
	{ 0x58b20c75, "mlxdevm_port_get_by_index" },
	{ 0x21086811, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x8567a595, "dev_get_by_index" },
	{ 0x50993ffd, "bpf_trace_run5" },
	{ 0xfc4c6ea7, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd093770e, "devl_port_register_with_ops" },
	{ 0xbc14faba, "dev_get_by_index_rcu" },
	{ 0xfb140eff, "kfree_skb_reason" },
	{ 0x32e7cbee, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0xc7b6cf13, "mlxdevm_rate_group_register" },
	{ 0xf48a03dc, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf7fa54bf, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb612c552, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x871cfab4, "kmem_cache_free" },
	{ 0x1041b50a, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x510d195, "debugfs_remove" },
	{ 0x9967d279, "pci_read_config_word" },
	{ 0x6eb4b167, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc4f22302, "xsk_clear_rx_need_wakeup" },
	{ 0x12d701e1, "unregister_netdevice_notifier_net" },
	{ 0x814e7fb4, "xsk_uses_need_wakeup" },
	{ 0xab35c9e0, "register_netdev" },
	{ 0x16cfe57, "unregister_fib_notifier" },
	{ 0x642fda2b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x2040440b, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe1c6a89b, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1e92f4eb, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xc45552b5, "mlxdevm_register" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb396ad8d, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb623aa85, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8a350a82, "sysfs_remove_file_from_group" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x45af2ab, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd7a0ca99, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3d4e5b5e, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x390cd586, "__ethtool_get_link_ksettings" },
	{ 0x9ee4cb62, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat,mlxdevm,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "129D3E575801C47D7A66820");
